%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         armon
%global repo            gomdb
# https://github.com/armon/gomdb
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          151f2e08ef45cb0e57d694b2562f351955dff572
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database 
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Patch0:         use-system-lmdb.patch

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}
%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
BuildRequires: lmdb-devel
Requires:      lmdb-devel
Provides:      golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
%patch0 -p1

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go *.h %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath}:/usr/include:/usr/lib64 go test -v %{import_path}

%files devel
%if 0%{?fedora}
%license LICENSE
%doc README.md
%else
%doc README.md LICENSE
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Sat Jun 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git151f2e0
- Add missing runtime dependency on lmdb-devel
  related: #1212046

* Wed Apr 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git151f2e0
- First package for Fedora
  resolves: #1212046
